using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ClipboardExample
{
   public partial class Form1 : Form
   {

      public Form1()
      {
         InitializeComponent();

      }

      private void copyRecordToolStripMenuItem_Click(object sender, EventArgs e)
      {
         IClipboardSupport form = this.ActiveMdiChild as IClipboardSupport;
         if (form != null)
         {
            form.CopyData();
         }
      }

      private void pasteRecordToolStripMenuItem_Click(object sender, EventArgs e)
      {
         IClipboardSupport form = this.ActiveMdiChild as IClipboardSupport;
         if (form != null)
         {
            form.PasteData();
         }

      }

      private void exitToolStripMenuItem_Click(object sender, EventArgs e)
      {
         this.Close();
      }

      private void openCustomerToolStripMenuItem_Click(object sender, EventArgs e)
      {
         CustomerForm form = new CustomerForm();
         form.MdiParent = this;
         form.Show();
      }

      private void openDataTableToolStripMenuItem_Click(object sender, EventArgs e)
      {
         DataRowCopy form = new DataRowCopy();
         form.MdiParent = this;
         form.Show();
      }


   }
}